{
    "packages": [
        {
            "name": "julio101290/mysql-backup",
            "version": "1.0.5",
            "version_normalized": "1.0.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/julio101290/mysql-backup.git",
                "reference": "5ed2ee2982cec335e4575b45ca283cbb3b954961"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/julio101290/mysql-backup/zipball/5ed2ee2982cec335e4575b45ca283cbb3b954961",
                "reference": "5ed2ee2982cec335e4575b45ca283cbb3b954961",
                "shasum": ""
            },
            "require": {
                "php": "^8.0",
                "phpmailer/phpmailer": "*"
            },
            "time": "2024-10-22T22:10:30+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "DatabaseBackupManager\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ramazan Çetinkaya",
                    "email": "ramazancetinkayadev@hotmail.com",
                    "homepage": "https://github.com/ramazancetinkaya"
                },
                {
                    "name": "Julio Leyva",
                    "email": "juliocesarleyvarodriguez@hotmail.com"
                }
            ],
            "description": "A PHP library for backing up and restoring MySQL databases",
            "keywords": [
                "backup",
                "database",
                "mysql",
                "pdo",
                "php",
                "phpmailer",
                "restore"
            ],
            "support": {
                "source": "https://github.com/julio101290/mysql-backup/tree/1.0.5"
            },
            "install-path": "../julio101290/mysql-backup"
        },
        {
            "name": "maennchen/zipstream-php",
            "version": "2.4.0",
            "version_normalized": "2.4.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/maennchen/ZipStream-PHP.git",
                "reference": "3fa72e4c71a43f9e9118752a5c90e476a8dc9eb3"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/maennchen/ZipStream-PHP/zipball/3fa72e4c71a43f9e9118752a5c90e476a8dc9eb3",
                "reference": "3fa72e4c71a43f9e9118752a5c90e476a8dc9eb3",
                "shasum": ""
            },
            "require": {
                "ext-mbstring": "*",
                "myclabs/php-enum": "^1.5",
                "php": "^8.0",
                "psr/http-message": "^1.0"
            },
            "require-dev": {
                "ext-zip": "*",
                "friendsofphp/php-cs-fixer": "^3.9",
                "guzzlehttp/guzzle": "^6.5.3 || ^7.2.0",
                "mikey179/vfsstream": "^1.6",
                "php-coveralls/php-coveralls": "^2.4",
                "phpunit/phpunit": "^8.5.8 || ^9.4.2",
                "vimeo/psalm": "^5.0"
            },
            "time": "2022-12-08T12:29:14+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "ZipStream\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Paul Duncan",
                    "email": "pabs@pablotron.org"
                },
                {
                    "name": "Jonatan Männchen",
                    "email": "jonatan@maennchen.ch"
                },
                {
                    "name": "Jesse Donat",
                    "email": "donatj@gmail.com"
                },
                {
                    "name": "András Kolesár",
                    "email": "kolesar@kolesar.hu"
                }
            ],
            "description": "ZipStream is a library for dynamically streaming dynamic zip files from PHP without writing to the disk at all on the server.",
            "keywords": [
                "stream",
                "zip"
            ],
            "support": {
                "issues": "https://github.com/maennchen/ZipStream-PHP/issues",
                "source": "https://github.com/maennchen/ZipStream-PHP/tree/2.4.0"
            },
            "funding": [
                {
                    "url": "https://github.com/maennchen",
                    "type": "github"
                },
                {
                    "url": "https://opencollective.com/zipstream",
                    "type": "open_collective"
                }
            ],
            "install-path": "../maennchen/zipstream-php"
        },
        {
            "name": "myclabs/php-enum",
            "version": "1.8.5",
            "version_normalized": "1.8.5.0",
            "source": {
                "type": "git",
                "url": "https://github.com/myclabs/php-enum.git",
                "reference": "e7be26966b7398204a234f8673fdad5ac6277802"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/myclabs/php-enum/zipball/e7be26966b7398204a234f8673fdad5ac6277802",
                "reference": "e7be26966b7398204a234f8673fdad5ac6277802",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "php": "^7.3 || ^8.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^9.5",
                "squizlabs/php_codesniffer": "1.*",
                "vimeo/psalm": "^4.6.2 || ^5.2"
            },
            "time": "2025-01-14T11:49:03+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "MyCLabs\\Enum\\": "src/"
                },
                "classmap": [
                    "stubs/Stringable.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP Enum contributors",
                    "homepage": "https://github.com/myclabs/php-enum/graphs/contributors"
                }
            ],
            "description": "PHP Enum implementation",
            "homepage": "https://github.com/myclabs/php-enum",
            "keywords": [
                "enum"
            ],
            "support": {
                "issues": "https://github.com/myclabs/php-enum/issues",
                "source": "https://github.com/myclabs/php-enum/tree/1.8.5"
            },
            "funding": [
                {
                    "url": "https://github.com/mnapoli",
                    "type": "github"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/myclabs/php-enum",
                    "type": "tidelift"
                }
            ],
            "install-path": "../myclabs/php-enum"
        },
        {
            "name": "phpmailer/phpmailer",
            "version": "v7.0.2",
            "version_normalized": "7.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/PHPMailer/PHPMailer.git",
                "reference": "ebf1655bd5b99b3f97e1a3ec0a69e5f4cd7ea088"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/PHPMailer/PHPMailer/zipball/ebf1655bd5b99b3f97e1a3ec0a69e5f4cd7ea088",
                "reference": "ebf1655bd5b99b3f97e1a3ec0a69e5f4cd7ea088",
                "shasum": ""
            },
            "require": {
                "ext-ctype": "*",
                "ext-filter": "*",
                "ext-hash": "*",
                "php": ">=5.5.0"
            },
            "require-dev": {
                "dealerdirect/phpcodesniffer-composer-installer": "^1.0",
                "doctrine/annotations": "^1.2.6 || ^1.13.3",
                "php-parallel-lint/php-console-highlighter": "^1.0.0",
                "php-parallel-lint/php-parallel-lint": "^1.3.2",
                "phpcompatibility/php-compatibility": "^10.0.0@dev",
                "squizlabs/php_codesniffer": "^3.13.5",
                "yoast/phpunit-polyfills": "^1.0.4"
            },
            "suggest": {
                "decomplexity/SendOauth2": "Adapter for using XOAUTH2 authentication",
                "directorytree/imapengine": "For uploading sent messages via IMAP, see gmail example",
                "ext-imap": "Needed to support advanced email address parsing according to RFC822",
                "ext-mbstring": "Needed to send email in multibyte encoding charset or decode encoded addresses",
                "ext-openssl": "Needed for secure SMTP sending and DKIM signing",
                "greew/oauth2-azure-provider": "Needed for Microsoft Azure XOAUTH2 authentication",
                "hayageek/oauth2-yahoo": "Needed for Yahoo XOAUTH2 authentication",
                "league/oauth2-google": "Needed for Google XOAUTH2 authentication",
                "psr/log": "For optional PSR-3 debug logging",
                "symfony/polyfill-mbstring": "To support UTF-8 if the Mbstring PHP extension is not enabled (^1.2)",
                "thenetworg/oauth2-azure": "Needed for Microsoft XOAUTH2 authentication"
            },
            "time": "2026-01-09T18:02:33+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "PHPMailer\\PHPMailer\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "LGPL-2.1-only"
            ],
            "authors": [
                {
                    "name": "Marcus Bointon",
                    "email": "phpmailer@synchromedia.co.uk"
                },
                {
                    "name": "Jim Jagielski",
                    "email": "jimjag@gmail.com"
                },
                {
                    "name": "Andy Prevost",
                    "email": "codeworxtech@users.sourceforge.net"
                },
                {
                    "name": "Brent R. Matzelle"
                }
            ],
            "description": "PHPMailer is a full-featured email creation and transfer class for PHP",
            "support": {
                "issues": "https://github.com/PHPMailer/PHPMailer/issues",
                "source": "https://github.com/PHPMailer/PHPMailer/tree/v7.0.2"
            },
            "funding": [
                {
                    "url": "https://github.com/Synchro",
                    "type": "github"
                }
            ],
            "install-path": "../phpmailer/phpmailer"
        },
        {
            "name": "psr/http-message",
            "version": "1.1",
            "version_normalized": "1.1.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-fig/http-message.git",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-fig/http-message/zipball/cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
                "shasum": ""
            },
            "require": {
                "php": "^7.2 || ^8.0"
            },
            "time": "2023-04-04T09:50:52+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "support": {
                "source": "https://github.com/php-fig/http-message/tree/1.1"
            },
            "install-path": "../psr/http-message"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
